wxWidgets: wxHtmlHelpData Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxHtmlHelpData Class Reference
Class List by Category » Help | Class List by Category » HTML

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-3.x86_64/src/wxWidgets-3.1.5/interface/wx/html/helpdata.h>`

Inheritance diagram for wxHtmlHelpData:
[legend]

## Detailed Description

This class is used by wxHtmlHelpController and wxHtmlHelpFrame to access HTML help items.

It is internal class and should not be used directly - except for the case you're writing your own HTML help controller.

##

Library: wxHTML

<>< =''>:</>&;&;< =''>\ , \ </></>

## Public Member Functions
| wxHtmlHelpData ()
| Constructor.
bool | AddBook (const wxString &book_url)
| Adds new book.
wxString | FindPageById (int id)
| Returns page's URL based on integer ID stored in project.
wxString | FindPageByName (const wxString &page)
| Returns page's URL based on its (file)name.
const wxHtmlBookRecArray & | GetBookRecArray () const
| Returns array with help books info.
const wxHtmlHelpDataItems & | GetContentsArray () const
| Returns reference to array with contents entries.
const wxHtmlHelpDataItems & | GetIndexArray () const
| Returns reference to array with index entries.
void | SetTempDir (const wxString &path)
| Sets the temporary directory where binary cached versions of MS HTML Workshop files will be stored.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxHtmlHelpData()

wxHtmlHelpData::wxHtmlHelpData | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ AddBook()

bool wxHtmlHelpData::AddBook | ( | const wxString & | book_url | ) |

Adds new book.

book_url is URL (not filename!) of HTML help project (hhp) or ZIP file that contains arbitrary number of .hhp projects (this zip file can have either .zip or .htb extension, htb stands for "html book").

Returns success.

## ◆ FindPageById()

wxString wxHtmlHelpData::FindPageById | ( | int | id | ) |

Returns page's URL based on integer ID stored in project.

## ◆ FindPageByName()

wxString wxHtmlHelpData::FindPageByName | ( | const wxString & | page | ) |

Returns page's URL based on its (file)name.

## ◆ GetBookRecArray()

const wxHtmlBookRecArray & wxHtmlHelpData::GetBookRecArray | ( |  | ) | const

Returns array with help books info.

## ◆ GetContentsArray()

const wxHtmlHelpDataItems & wxHtmlHelpData::GetContentsArray | ( |  | ) | const

Returns reference to array with contents entries.

## ◆ GetIndexArray()

const wxHtmlHelpDataItems & wxHtmlHelpData::GetIndexArray | ( |  | ) | const

Returns reference to array with index entries.

## ◆ SetTempDir()

void wxHtmlHelpData::SetTempDir | ( | const wxString & | path | ) |

Sets the temporary directory where binary cached versions of MS HTML Workshop files will be stored.

(This is turned off by default and you can enable this feature by setting non-empty temp dir.)